<template>
  <v-expansion-panels accordion multiple flat hover focusable>
    <v-expansion-panel v-for="(specialist, i) in specialists" :key="i">
      <v-expansion-panel-header>
        <template v-slot:default="{ open }">
          <div class="tway-title title">
            {{ specialist.companyName }}
          </div>
        </template>
      </v-expansion-panel-header>
      <v-expansion-panel-content>
        <v-row>
          <v-col>
            <div class="tway-title subtitle">Trayectoria</div>
            <p class="body-2">
              {{ specialist.trajectory }}
            </p>
          </v-col>
          <v-col>
            <div class="tway-title subtitle">Servicios que ofrece</div>
            <ol>
              <li v-for="(service, index) in specialist.services" :key="index">
                {{ service.name }}
              </li>
            </ol>
          </v-col>
        </v-row>
      </v-expansion-panel-content>
    </v-expansion-panel>
  </v-expansion-panels>
</template>

<script>
import specialistService from "@/services/specialistService";

export default {
  name: "DimensionSpecialists",

  props: {
    dimension: {
      type: String,
      required: true,
    },
    strategy: {
      type: Object,
      required: true,
    },
  },

  data: () => ({
    isLoading: false,
    specialists: [],
  }),

  created() {
    this.getSpecialists();
  },

  methods: {
    getSpecialists() {
      this.isLoading = true;
      specialistService
        .getByDimensionStrategy(this.dimension, this.strategy.name)
        .then((specialists) => {
          this.specialists = specialists.map((s) => {
            s.companyName = s.companyName[0] || "";
            s.trajectory = s.trajectory[0] || "";
            s.customers = [];
            s.customerSucces = [];
            s.customerComments = [];
            return s;
          });
        })
        .catch((err) => this.$log.error(err))
        .then(() => (this.isLoading = false));
    },
  },
};
</script>
